This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 29282

Summary: Icons of Actions added to Tools->Keyboard ShortCuts tree
Product: platform Reporter: pzajac <pzajac>
Component: ActionsAssignee: Jiri Rechtacek <jrechtacek>
Status: VERIFIED WONTFIX    
Severity: blocker CC: dpavlica
Priority: P3 Keywords: UI
Version: 3.x   
Hardware: All   
OS: All   
Issue Type: TASK Exception Reporter:
Bug Depends on: 28043    
Bug Blocks: 58412    
Attachments: org.netbeans.core.ActionsPanel.java diff
dialog image iwth icons

Description pzajac 2002-12-04 14:44:08 UTC
I implemented simple render for Actions Tree.
Simple patch for ActionsPanel.java attached.
Comment 1 pzajac 2002-12-04 14:45:43 UTC
Created attachment 8165 [details]
org.netbeans.core.ActionsPanel.java diff
Comment 2 David Simonek 2003-01-09 10:31:03 UTC
I applied the diff on my machine and tested behaviour. Unfortunately,
this patch has negative performance impact on first init time of
shortcuts dialog. Measured slowdown on my machine is approx from
3seconds to 3,5 seconds.
Also I dislike the fact that actions without icons looks like "holes"
in the tree. UI guys, what do you think - compare perf impact and
visual impact and decide, please. Appearance with icons is attached.
Comment 3 David Simonek 2003-01-09 10:31:47 UTC
Created attachment 8494 [details]
dialog image iwth icons
Comment 4 David Simonek 2003-01-09 10:42:44 UTC
Making this issue dependent on 28043. Once we solve long init time of
Shortcuts dialog in some reliable way, adding icons will be less
contradictory and we can integrate it IMO.
Comment 5 dpavlica 2003-01-09 10:55:15 UTC
Does it possible to fill text of shortcuts first and icons draw later ?
If yes then it's ok with perform impact.

I think that holes because of missing icons by any shortcuts are ok
too (similar to holes in MENU) and I prefer to have some of them then
none.
Comment 6 David Simonek 2003-02-24 09:53:40 UTC
Q: "Does it possible to fill text of shortcuts first and icons draw
later?"
A: I would say yes. At first, assign empty icon to all nodes and then
load them and update later, after dialog show, perhaps using
AsyncGUIJob technique.
(see
http://performance.netbeans.org/responsiveness/improving/postinit_of_comps.html)
Petr, can you redesign the patch in such way?

As for "holes", ok, I accept. Once I get refined patch from Petr I'll
review, test and integrate.
Comment 7 vbrabant 2003-11-15 11:17:00 UTC
Why not integrate it into NB3.6 if possible ?
Comment 8 Jiri Rechtacek 2004-04-23 10:49:26 UTC
Assigned to new owner.
Comment 9 Milos Kleint 2005-10-04 12:32:37 UTC
keyboard shortcuts dialog is no more..replaced by options dialog
Comment 10 pzajac 2005-11-01 13:38:02 UTC
thanks